// from '.env' in root folder
module.exports = {
	// APP
	port: process.env.PORT || 3001,
	environment: process.env.NODE_ENV || 'development',

	// DATABASE
	dbURL: process.env.DATABASE_URL,

	// JWT
	jwtSecret: process.env.JWT_SECRET,
	saltingRounds: 10,

	// NODEMAILER
	smtpHost: process.env.SMTP_HOST,
	smtpPort: process.env.SMTP_PORT,
	smtpUsername: process.env.SMTP_USERNAME,
	smtpPassword: process.env.SMTP_PASSWORD,
	smtpRequireTLS: true, // True to force use of StartTLS
	smtpSecure: false, // False to force use of StartTLS
	smtpPool: true, // Pool connections to server

	// EMAIL
	appURL: 'https://meetingplanner.com',
	sender: 'no-reply@ruihildt.xyz',
	signature: 'The Meeting Planner Team',
};
