exports.up = (knex) => {
	return knex.schema.createTable('possible_date', (table) => {
		table.increments('id').primary();
		table.uuid('meeting_id').unsigned().notNullable();
		table
			.foreign('meeting_id')
			.references('meeting.id')
			.onDelete('cascade');
		table.string('possible_date').notNullable();
		table.timestamps(true, true);
	});
};

exports.down = (knex) => {
	return knex.schema.dropTable('possible_date');
};
